%bcond_with tests


Name:           ansible-collection-community-docker
Version:        3.5.0
Release:    1%{?dist}
Summary:        Ansible modules and plugins for working with Docker

License:        GPL-3.0-or-later AND Apache-2.0
URL:            https://github.com/ansible-collections/community.docker
%global forgeurl https://github.com/ansible-collections/community.docker
Source0:        %{forgeurl}/archive/%{version}/community.docker-%{version}.tar.gz
Patch0:         build_ignore-unnecessary-files.patch

BuildArch:      noarch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
BuildRequires:  %{py3_dist requests}
%endif

Provides:       bundled(python3dist(docker))


%description
ansible-collection-community-docker provides the community.docker Ansible
collection. The collection includes Ansible modules and plugins for working
with Docker.


%prep
%autosetup -p1 -n community.docker-%{version}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +


%build
%ansible_collection_build


%install
%ansible_collection_install


%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COPYING LICENSES .reuse/dep5
%doc README.md CHANGELOG.rst*


%changelog
* Thu Aug 08 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-1
- initial build
